Subject: Re: [PATCH 1/2] elf loader support for auxvec base platform string

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 07 Jul 2008 16:23:20 +1000

On Sun, 2008-07-06 at 23:18 -0700, Roland McGrath wrote:
> 
> Using dsocaps gives you the best of both worlds.  You can freely choose
> new strings in the kernel without the ld.so code having to know about
> them (which is not true of AT_PLATFORM, but may be true of how you are
> thinking about "strings are nice").  You do have to map all the
> possibilities that a single kernel build can produce into distinct bits.
> But, there are 32 unallocated bits to start with.  Moreover, those bit
> assignments are not part of any permanent ABI like bits in AT_* values.
> They just have to match up between this kernel build and the ld.conf.d
> file installed along with it--kernel hackers and kernel packagers have
> to coordinate, not kernel hackers and userland hackers.

I'm not sure... if ld.conf.d isn't parse of the kernel source tree then
it -will- end in tears...

Ben.